Tp::AbstractFunctorCaller Struct Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Types | Public Member Functions | Public Attributes | List of all members
Tp::AbstractFunctorCaller Struct Referenceabstract

`#include </home/kaffeine/devel/gsoc/release/telepathy-qt/TelepathyQt/callbacks.h>`

Inherited by Tp::BaseFunctorCaller< FunctorCaller0< Functor, R >, Functor >, Tp::BaseFunctorCaller< FunctorCaller1< Functor, R, Arg1 >, Functor >, Tp::BaseFunctorCaller< FunctorCaller2< Functor, R, Arg1, Arg2 >, Functor >, Tp::BaseFunctorCaller< FunctorCaller3< Functor, R, Arg1, Arg2, Arg3 >, Functor >, Tp::BaseFunctorCaller< FunctorCaller4< Functor, R, Arg1, Arg2, Arg3, Arg4 >, Functor >, Tp::BaseFunctorCaller< FunctorCaller5< Functor, R, Arg1, Arg2, Arg3, Arg4, Arg5 >, Functor >, Tp::BaseFunctorCaller< FunctorCaller6< Functor, R, Arg1, Arg2, Arg3, Arg4, Arg5, Arg6 >, Functor >, Tp::BaseFunctorCaller< FunctorCaller7< Functor, R, Arg1, Arg2, Arg3, Arg4, Arg5, Arg6, Arg7 >, Functor >, and Tp::BaseFunctorCaller< T, Functor >.

## Public Types
typedef void *(* | HookType )(void *)

## Public Member Functions
| AbstractFunctorCaller (HookType invokeMethodHook)
virtual | ~AbstractFunctorCaller ()
virtual AbstractFunctorCaller * | clone () const =0

## Public Attributes
HookType | invokeMethodHook

## Member Typedef Documentation

typedef void*(* Tp::AbstractFunctorCaller::HookType)(void *)

## Constructor & Destructor Documentation

Tp::AbstractFunctorCaller::AbstractFunctorCaller | ( | HookType | invokeMethodHook | ) |
| inline

virtual Tp::AbstractFunctorCaller::~AbstractFunctorCaller | ( |  | ) |
| inlinevirtual

## Member Function Documentation

virtual AbstractFunctorCaller* Tp::AbstractFunctorCaller::clone | ( |  | ) | const
| pure virtual

Implemented in Tp::BaseFunctorCaller< T, Functor >, Tp::BaseFunctorCaller< FunctorCaller4< Functor, R, Arg1, Arg2, Arg3, Arg4 >, Functor >, Tp::BaseFunctorCaller< FunctorCaller0< Functor, R >, Functor >, Tp::BaseFunctorCaller< FunctorCaller5< Functor, R, Arg1, Arg2, Arg3, Arg4, Arg5 >, Functor >, Tp::BaseFunctorCaller< FunctorCaller6< Functor, R, Arg1, Arg2, Arg3, Arg4, Arg5, Arg6 >, Functor >, Tp::BaseFunctorCaller< FunctorCaller2< Functor, R, Arg1, Arg2 >, Functor >, Tp::BaseFunctorCaller< FunctorCaller1< Functor, R, Arg1 >, Functor >, Tp::BaseFunctorCaller< FunctorCaller7< Functor, R, Arg1, Arg2, Arg3, Arg4, Arg5, Arg6, Arg7 >, Functor >, and Tp::BaseFunctorCaller< FunctorCaller3< Functor, R, Arg1, Arg2, Arg3 >, Functor >.

## Member Data Documentation

HookType Tp::AbstractFunctorCaller::invokeMethodHook